package test.executors.handlers;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.papyrus.infra.onefile.model.ISubResourceFile;
import org.eclipse.ui.handlers.HandlerUtil;

import test.executor.SimpleUmlIncrementalModExecutor;

public class SimpleUmlIncrementalModHandler extends AbstractHandler
{

    @Override
    public Object execute(ExecutionEvent event) throws ExecutionException
    {
        ISelection selection = HandlerUtil.getCurrentSelection(event);
        if (selection instanceof IStructuredSelection)
        {
            IStructuredSelection structuredSelection = (IStructuredSelection) selection;
            for(Object element : structuredSelection.toArray())
                if(element instanceof ISubResourceFile)
                {
                    SimpleUmlIncrementalModExecutor.run(((ISubResourceFile) element).getFile().getFullPath().toString());
                }
        }
        return null;
    }

}
